package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.statement.SQLDropUserStatement;
import com.alibaba.druid.sql.dialect.dm.ast.DMSQLObject;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTOutputVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DmDropUserStatement extends SQLDropUserStatement implements DMSQLObject {
   private Boolean cascade;
   private Boolean restrict;

   public DmDropUserStatement(DbType dbType) {
      super(dbType);
   }

   protected void accept0(SQLASTVisitor v) {
      if (v instanceof DmASTVisitor) {
         this.accept0((DmASTVisitor)v);
      } else {
         if (v instanceof SQLASTOutputVisitor) {
            ((SQLASTOutputVisitor)v).print(this.toString());
         }

      }
   }

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public Boolean getCascade() {
      return this.cascade;
   }

   public void setCascade(Boolean cascade) {
      this.cascade = cascade;
   }

   public Boolean getRestrict() {
      return this.restrict;
   }

   public void setRestrict(Boolean restrict) {
      this.restrict = restrict;
   }
}
